2018-12-18 23:16 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000207Branch 0.2.1-FINALBugpublic2016-11-23 10:06
ReporterAndreasJung 
Assigned ToQuix0r 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000207: Bug bei der registrierung von sql_patches
DescriptionFehlermeldung: file=FILTER_RUN_SQLS,line=271:mysql_error()=Table 'online.mxchange_user_links' doesn't exist
Query string:ALTER TABLE `mxchange_user_links` MODIFY `link_type` ENUM('NORMAL','BONUS') NOT NULL DEFAULT 'NORMAL'
Backtrace:
1.:template-functions.php:1194, debug_get_mailable_backtrace(0)
2.:lib-mysql3.php:94, debug_report_bug(3)
3.:lib-mysql3.php:461, SQL_QUERY(4)
4.:filters.php:271, SQL_ALTER_TABLE(4)
5.:debug_get_mailable_backtrace:1155, FILTER_RUN_SQLS(1)
6.:filter-functions.php:289, call_user_func_array(2)
7.:extensions-functions.php:350, runFilterChain(2)
8.:extensions-functions.php:292, registerExtension(4)
9.:extensions-functions.php:292, registerExtension(4)
10.:what-extensions.php:352, registerExtension(2)
11.:inc-functions.php:129, include(1)
12.:action-misc.php:50, loadInclude(1)
13.:inc-functions.php:129, include(1)
14.:admin-inc.php:216, loadInclude(1)
15.:admin.php:414, doAdminAction(0)
16.:inc-functions.php:129, include(1)
17.:inc-functions.php:140, loadInclude(1)
18.:modules.php:137, loadIncludeOnce(1)
------------------------------
Abfrage-String: /modules.php?module=admin&what=extensions®_ext=sql_patches
------------------------------
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000519

AndreasJung (reporter)

Version ist v0.2.1-FINAL R2310
Nach Neuinstallation kann der Fehler reproduziert werden.
Auf Registrieren klicken, schwups kommmt der Fehler :-)
Request-URI: /modules.php?module=admin&what=extensions®_ext=sql_patches

~0000520

Quix0r (administrator)

Das "Alle Rechte vorbehalten"-Symbol sieht so seltsam aus. Kommt das wirklich so original aus der Mail? Ich teste das heute mal.

~0000521

Quix0r (administrator)

Seltsam, ich erhalte nicht den Fehler. :( Anbei ein Screenshot, die URL in der Adresszeile lautet nach der Installation:
http://localhost/mailer/modules.php?module=admin&what=extensions&registered=7

~0000522

Quix0r (administrator)

Aber ich habe dies gefunden:
---------------------------------
04.05.2011|12:53:16|admin|getConfig|77|Configuration entry update_filter_usage is missing.
04.05.2011|12:53:16|admin|sendAdminNotification|1414|admins=N,subject={--DEBUG_REPORT_BUG_SUBJECT--},templateName=admin_report_bug
---------------------------------
Eigentlich sollte er dann keine Weiterleitung machen. :/ Ich muss das nochmals kontrollieren, woran das liegt. Denn bei solch einem Bug (und DEBUG_MODE=Y) sollte ein Abbruch kommen.

~0000523

AndreasJung (reporter)

Das ist der Screenshot der Fehlermeldung

~0000524

Quix0r (administrator)

Da der Screenshot einen anderen Bug zeigt, habe ich den mal verschoben und ein neues Bug-Ticket 0000208 erstellt.

~0000552

Quix0r (administrator)

Ich denke, dieser Fehler sollte auch nicht mehr (in der Form) vorkommen. Falls doch, oeffne ich erneut das Ticket.

Mit der neusten Revision kommt dies nicht vor.

~0000657

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2011-05-03 16:05 AndreasJung New Issue
2011-05-03 16:05 AndreasJung File Added: debug.log
2011-05-04 02:02 Quix0r Assigned To => Quix0r
2011-05-04 02:02 Quix0r Status new => assigned
2011-05-04 02:02 Quix0r Product Version => 0.2.1-FINAL
2011-05-04 02:02 Quix0r Target Version => 0.2.1-FINAL
2011-05-04 09:37 AndreasJung Note Added: 0000519
2011-05-04 10:53 Quix0r Note Added: 0000520
2011-05-04 10:54 Quix0r File Added: screenshot-20110504_1253.png
2011-05-04 10:55 Quix0r Note Added: 0000521
2011-05-04 10:58 Quix0r Status assigned => feedback
2011-05-04 11:07 Quix0r Note Added: 0000522
2011-05-04 11:40 AndreasJung File Added: www.onlinewerbebombe.de screen capture 2011-5-4-13-36-23.png
2011-05-04 11:41 AndreasJung Note Added: 0000523
2011-05-04 11:41 AndreasJung Status feedback => assigned
2011-05-04 19:15 Quix0r File Deleted: www.onlinewerbebombe.de screen capture 2011-5-4-13-36-23.png
2011-05-04 19:16 Quix0r Note Added: 0000524
2012-06-15 18:35 Quix0r Note Added: 0000552
2012-06-15 18:35 Quix0r Status assigned => resolved
2012-06-15 18:35 Quix0r Fixed in Version => 0.2.1-FINAL
2012-06-15 18:35 Quix0r Resolution open => fixed
2012-10-16 07:49 Quix0r File Deleted: screenshot-20110504_1253.png
2012-10-16 07:51 Quix0r File Deleted: debug.log
2016-11-23 10:06 Quix0r Status resolved => closed
2016-11-23 10:06 Quix0r Note Added: 0000657
+Issue History